View Issue Details

IDProjectCategoryView StatusLast Update
0000508Xdebug(No Category)public2010-03-20 23:57
Reportermarc-bassiniAssigned Toderick 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionunable to reproduce 
Product Version 
Target Version2.1.0RC1Fixed in Version 
Summary0000508: 2.1.0beta1 doesn't work on 7 Ultimate 64 bits with php 5.3.1
DescriptionAs the title said, xdebug isn't loaded as php -v or php -m reports.
php.ini:

[XDebug]
zend_extension="d:/php_xdebug-2.1.0beta1-5.3-vc9.dll"
Additional InformationPHP Version => 5.3.1

System => Windows NT NAN 6.1 build 7600 ((null)) i586
Build Date => Nov 19 2009 09:58:49
Compiler => MSVC9 (Visual C++ 2008)
Architecture => x86
Configure Command => cscript /nologo configure.js "--enable-snapshot-build" "--disable-isapi" "--enable-debug-pack" "--disable-isapi" "--with-pdo-oci=D:\php-sdk\oracle\instantclient10\sdk,shared" "--with-oci8=D:\php-sdk\oracle\instantclient10\sdk,shared" "--with-oci8-11g=D:\php-sdk\oracle\instantclient11\sdk,shared" "--with-enchant=shared" "--enable-object-out-dir=../obj/"
Server API => Command Line Interface
Virtual Directory Support => enabled
Configuration File (php.ini) Path => C:\Windows
Loaded Configuration File => C:\Program Files (x86)\PHP\php.ini
Scan this dir for additional .ini files => (none)
Additional .ini files parsed => (none)
PHP API => 20090626
PHP Extension => 20090626
Zend Extension => 220090626
Zend Extension Build => API220090626,TS,VC9
PHP Extension Build => API20090626,TS,VC9
Debug Build => no
Thread Safety => enabled
Zend Memory Manager => enabled
Zend Multibyte Support => disabled
IPv6 Support => enabled
Registered PHP Streams => php, file, glob, data, http, ftp, zip, compress.zlib, compress.bzip2, https, ftps, phar
Registered Stream Socket Transports => tcp, udp, ssl, sslv3, sslv2, tls
Registered Stream Filters => convert.iconv.*, string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk, zlib.*, bzip2.*


This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.3.0, Copyright (c) 1998-2009 Zend Technologies


 _______________________________________________________________________


Configuration

bcmath

BCMath support => enabled

Directive => Local Value => Master Value
bcmath.scale => 0 => 0

bz2

BZip2 Support => Enabled
Stream Wrapper support => compress.bz2://
Stream Filter support => bzip2.decompress, bzip2.compress
BZip2 Version => 1.0.5, 10-Dec-2007

calendar

Calendar support => enabled

com_dotnet

COM support => enabled
DCOM support => disabled
.Net support => enabled

Directive => Local Value => Master Value
com.allow_dcom => 0 => 0
com.autoregister_casesensitive => 1 => 1
com.autoregister_typelib => 0 => 0
com.autoregister_verbose => 0 => 0
com.code_page => no value => no value
com.typelib_file => no value => no value

Core

PHP Version => 5.3.1

Directive => Local Value => Master Value
allow_call_time_pass_reference => Off => Off
allow_url_fopen => On => On
allow_url_include => Off => Off
always_populate_raw_post_data => Off => Off
arg_separator.input => & => &
arg_separator.output => & => &
asp_tags => Off => Off
auto_append_file => no value => no value
auto_globals_jit => On => On
auto_prepend_file => no value => no value
browscap => no value => no value
default_charset => no value => no value
default_mimetype => text/html => text/html
define_syslog_variables => Off => Off
disable_classes => no value => no value
disable_functions => no value => no value
display_errors => Off => Off
display_startup_errors => Off => Off
doc_root => no value => no value
docref_ext => no value => no value
docref_root => no value => no value
enable_dl => Off => Off
error_append_string => no value => no value
error_log => C:\Windows\temp\php-errors.log => C:\Windows\temp\php-errors.log
error_prepend_string => no value => no value
error_reporting => 22527 => 22527
exit_on_timeout => Off => Off
expose_php => On => On
extension_dir => C:\Program Files (x86)\PHP\ext => C:\Program Files (x86)\PHP\ext
file_uploads => On => On
highlight.bg => <font style="color: #FFFFFF">#FFFFFF</font> => <font style="color: #FFFFFF">#FFFFFF</font>
highlight.comment => <font style="color: #FF8000">#FF8000</font> => <font style="color: #FF8000">#FF8000</font>
highlight.default => <font style="color: #0000BB">#0000BB</font> => <font style="color: #0000BB">#0000BB</font>
highlight.html => <font style="color: #000000">#000000</font> => <font style="color: #000000">#000000</font>
highlight.keyword => <font style="color: #007700">#007700</font> => <font style="color: #007700">#007700</font>
highlight.string => <font style="color: #DD0000">#DD0000</font> => <font style="color: #DD0000">#DD0000</font>
html_errors => Off => Off
ignore_repeated_errors => Off => Off
ignore_repeated_source => Off => Off
ignore_user_abort => Off => Off
implicit_flush => On => On
include_path => .;C:\php5\pear => .;C:\php5\pear
log_errors => On => On
log_errors_max_len => 1024 => 1024
magic_quotes_gpc => Off => Off
magic_quotes_runtime => Off => Off
magic_quotes_sybase => Off => Off
mail.add_x_header => On => On
mail.force_extra_parameters => no value => no value
mail.log => no value => no value
max_execution_time => 0 => 0
max_file_uploads => 20 => 20
max_input_nesting_level => 64 => 64
max_input_time => -1 => -1
memory_limit => 128M => 128M
open_basedir => no value => no value
output_buffering => 0 => 0
output_handler => no value => no value
post_max_size => 8M => 8M
precision => 14 => 14
realpath_cache_size => 16K => 16K
realpath_cache_ttl => 120 => 120
register_argc_argv => On => On
register_globals => Off => Off
register_long_arrays => Off => Off
report_memleaks => On => On
report_zend_debug => Off => Off
request_order => GP => GP
safe_mode => Off => Off
safe_mode_exec_dir => no value => no value
safe_mode_gid => Off => Off
safe_mode_include_dir => no value => no value
sendmail_from => no value => no value
sendmail_path => no value => no value
serialize_precision => 100 => 100
short_open_tag => Off => Off
SMTP => localhost => localhost
smtp_port => 25 => 25
sql.safe_mode => Off => Off
track_errors => Off => Off
unserialize_callback_func => no value => no value
upload_max_filesize => 2M => 2M
upload_tmp_dir => C:\Windows\Temp => C:\Windows\Temp
user_dir => no value => no value
user_ini.cache_ttl => 300 => 300
user_ini.filename => .user.ini => .user.ini
variables_order => GPCS => GPCS
xmlrpc_error_number => 0 => 0
xmlrpc_errors => Off => Off
y2k_compliance => On => On
zend.enable_gc => On => On

ctype

ctype functions => enabled

curl

cURL support => enabled
cURL Information => 7.19.6
Age => 3
Features
AsynchDNS => No
Debug => No
GSS-Negotiate => No
IDN => No
IPv6 => Yes
Largefile => Yes
NTLM => Yes
SPNEGO => No
SSL => Yes
SSPI => Yes
krb4 => No
libz => Yes
CharConv => No
Protocols => tftp, ftp, telnet, dict, ldap, http, file, https, ftps, scp, sftp
Host => i386-pc-win32
SSL Version => OpenSSL/0.9.8l
ZLib Version => 1.2.3
libSSH Version => libssh2/1.1

date

date/time support => enabled
"Olson" Timezone Database Version => 2009.18
Timezone Database => internal
Default timezone => Europe/Paris

Directive => Local Value => Master Value
date.default_latitude => 31.7667 => 31.7667
date.default_longitude => 35.2333 => 35.2333
date.sunrise_zenith => 90.583333 => 90.583333
date.sunset_zenith => 90.583333 => 90.583333
date.timezone => no value => no value

dom

DOM/XML => enabled
DOM/XML API Version => 20031129
libxml Version => 2.7.3
HTML Support => enabled
XPath Support => enabled
XPointer Support => enabled
Schema Support => enabled
RelaxNG Support => enabled

ereg

Regex Library => Bundled library enabled

exif

EXIF Support => enabled
EXIF Version => 1.4 $Id: exif.c 287372 2009-08-16 14:32:32Z iliaa $
Supported EXIF Version => 0220
Supported filetypes => JPEG,TIFF

Directive => Local Value => Master Value
exif.decode_jis_intel => JIS => JIS
exif.decode_jis_motorola => JIS => JIS
exif.decode_unicode_intel => UCS-2LE => UCS-2LE
exif.decode_unicode_motorola => UCS-2BE => UCS-2BE
exif.encode_jis => no value => no value
exif.encode_unicode => ISO-8859-15 => ISO-8859-15

filter

Input Validation and Filtering => enabled
Revision => $Revision: 289434 $

Directive => Local Value => Master Value
filter.default => unsafe_raw => unsafe_raw
filter.default_flags => no value => no value

ftp

FTP support => enabled

gd

GD Support => enabled
GD Version => bundled (2.0.34 compatible)
FreeType Support => enabled
FreeType Linkage => with freetype
FreeType Version => 2.3.9
GIF Read Support => enabled
GIF Create Support => enabled
JPEG Support => enabled
libJPEG Version => 6b
PNG Support => enabled
libPNG Version => 1.2.37
WBMP Support => enabled
XBM Support => enabled

Directive => Local Value => Master Value
gd.jpeg_ignore_warning => 0 => 0

gettext

GetText Support => enabled

gmp

gmp support => enabled
GMP version => 4.2.1

hash

hash support => enabled
Hashing Engines => md2 md4 md5 sha1 sha224 sha256 sha384 sha512 ripemd128 ripemd160 ripemd256 ripemd320 whirlpool tiger128,3 tiger160,3 tiger192,3 tiger128,4 tiger160,4 tiger192,4 snefru snefru256 gost adler32 crc32 crc32b salsa10 salsa20 haval128,3 haval160,3 haval192,3 haval224,3 haval256,3 haval128,4 haval160,4 haval192,4 haval224,4 haval256,4 haval128,5 haval160,5 haval192,5 haval224,5 haval256,5

iconv

iconv support => enabled
iconv implementation => "libiconv"
iconv library version => 1.11

Directive => Local Value => Master Value
iconv.input_encoding => ISO-8859-1 => ISO-8859-1
iconv.internal_encoding => ISO-8859-1 => ISO-8859-1
iconv.output_encoding => ISO-8859-1 => ISO-8859-1

imap

IMAP c-Client Version => 2007e
SSL Support => enabled

json

json support => enabled
json version => 1.2.1

libxml

libXML support => active
libXML Compiled Version => 2.7.3
libXML Loaded Version => 20703
libXML streams => enabled

mbstring

Multibyte Support => enabled
Multibyte string engine => libmbfl
HTTP input encoding translation => disabled

mbstring extension makes use of "streamable kanji code filter and converter", which is distributed under the GNU Lesser General Public License version 2.1.

Multibyte (japanese) regex support => enabled
Multibyte regex (oniguruma) version => 4.7.1

Directive => Local Value => Master Value
mbstring.detect_order => no value => no value
mbstring.encoding_translation => Off => Off
mbstring.func_overload => 0 => 0
mbstring.http_input => pass => pass
mbstring.http_output => pass => pass
mbstring.http_output_conv_mimetypes => ^(text/|application/xhtml\+xml) => ^(text/|application/xhtml\+xml)
mbstring.internal_encoding => no value => no value
mbstring.language => neutral => neutral
mbstring.strict_detection => Off => Off
mbstring.substitute_character => no value => no value

mcrypt

mcrypt support => enabled
Version => 2.5.8
Api No => 20021217
Supported ciphers => cast-128 gost rijndael-128 twofish cast-256 loki97 rijndael-192 saferplus wake blowfish-compat des rijndael-256 serpent xtea blowfish enigma rc2 tripledes arcfour
Supported modes => cbc cfb ctr ecb ncfb nofb ofb stream

Directive => Local Value => Master Value
mcrypt.algorithms_dir => no value => no value
mcrypt.modes_dir => no value => no value

mhash

MHASH support => Enabled
MHASH API Version => Emulated Support

mysql

MySQL Support => enabled
Active Persistent Links => 0
Active Links => 0
Client API version => mysqlnd 5.0.5-dev - 081106 - $Revision: 289630 $
Persistent cache => enabled
put_hits => 0
put_misses => 0
get_hits => 0
get_misses => 0
size => 2000
free_items => 2000
references => 2

Directive => Local Value => Master Value
mysql.allow_local_infile => On => On
mysql.allow_persistent => On => On
mysql.cache_size => 2000 => 2000
mysql.connect_timeout => 60 => 60
mysql.default_host => no value => no value
mysql.default_password => no value => no value
mysql.default_port => no value => no value
mysql.default_socket => no value => no value
mysql.default_user => no value => no value
mysql.max_links => Unlimited => Unlimited
mysql.max_persistent => Unlimited => Unlimited
mysql.trace_mode => Off => Off

mysqli

MysqlI Support => enabled
Client API library version => mysqlnd 5.0.5-dev - 081106 - $Revision: 289630 $
Active Persistent Links => 0
Inactive Persistent Links => 0
Active Links => 0
Persistent cache => enabled
put_hits => 0
put_misses => 0
get_hits => 0
get_misses => 0
size => 2000
free_items => 2000
references => 2

Directive => Local Value => Master Value
mysqli.allow_local_infile => On => On
mysqli.allow_persistent => On => On
mysqli.cache_size => 2000 => 2000
mysqli.default_host => no value => no value
mysqli.default_port => 3306 => 3306
mysqli.default_pw => no value => no value
mysqli.default_socket => no value => no value
mysqli.default_user => no value => no value
mysqli.max_links => Unlimited => Unlimited
mysqli.max_persistent => Unlimited => Unlimited
mysqli.reconnect => Off => Off

mysqlnd

mysqlnd => enabled
Version => mysqlnd 5.0.5-dev - 081106 - $Revision: 289630 $
Command buffer size => 4096
Read buffer size => 32768
Read timeout => 31536000
Collecting statistics => Yes
Collecting memory statistics => No

Client statistics =>
bytes_sent => 0
bytes_received => 0
packets_sent => 0
packets_received => 0
protocol_overhead_in => 0
protocol_overhead_out => 0
bytes_received_ok_packet => 0
bytes_received_eof_packet => 0
bytes_received_rset_header_packet => 0
bytes_received_rset_field_meta_packet => 0
bytes_received_rset_row_packet => 0
bytes_received_prepare_response_packet => 0
bytes_received_change_user_packet => 0
packets_sent_command => 0
packets_received_ok => 0
packets_received_eof => 0
packets_received_rset_header => 0
packets_received_rset_field_meta => 0
packets_received_rset_row => 0
packets_received_prepare_response => 0
packets_received_change_user => 0
result_set_queries => 0
non_result_set_queries => 0
no_index_used => 0
bad_index_used => 0
slow_queries => 0
buffered_sets => 0
unbuffered_sets => 0
ps_buffered_sets => 0
ps_unbuffered_sets => 0
flushed_normal_sets => 0
flushed_ps_sets => 0
ps_prepared_never_executed => 0
ps_prepared_once_executed => 0
rows_fetched_from_server_normal => 0
rows_fetched_from_server_ps => 0
rows_buffered_from_client_normal => 0
rows_buffered_from_client_ps => 0
rows_fetched_from_client_normal_buffered => 0
rows_fetched_from_client_normal_unbuffered => 0
rows_fetched_from_client_ps_buffered => 0
rows_fetched_from_client_ps_unbuffered => 0
rows_fetched_from_client_ps_cursor => 0
rows_skipped_normal => 0
rows_skipped_ps => 0
copy_on_write_saved => 0
copy_on_write_performed => 0
command_buffer_too_small => 0
connect_success => 0
connect_failure => 0
connection_reused => 0
reconnect => 0
pconnect_success => 0
active_connections => 0
active_persistent_connections => 0
explicit_close => 0
implicit_close => 0
disconnect_close => 0
in_middle_of_command_close => 0
explicit_free_result => 0
implicit_free_result => 0
explicit_stmt_close => 0
implicit_stmt_close => 0
mem_emalloc_count => 0
mem_emalloc_ammount => 0
mem_ecalloc_count => 0
mem_ecalloc_ammount => 0
mem_erealloc_count => 0
mem_erealloc_ammount => 0
mem_efree_count => 0
mem_malloc_count => 0
mem_malloc_ammount => 0
mem_calloc_count => 0
mem_calloc_ammount => 0
mem_realloc_count => 0
mem_realloc_ammount => 0
mem_free_count => 0
proto_text_fetched_null => 0
proto_text_fetched_bit => 0
proto_text_fetched_tinyint => 0
proto_text_fetched_short => 0
proto_text_fetched_int24 => 0
proto_text_fetched_int => 0
proto_text_fetched_bigint => 0
proto_text_fetched_decimal => 0
proto_text_fetched_float => 0
proto_text_fetched_double => 0
proto_text_fetched_date => 0
proto_text_fetched_year => 0
proto_text_fetched_time => 0
proto_text_fetched_datetime => 0
proto_text_fetched_timestamp => 0
proto_text_fetched_string => 0
proto_text_fetched_blob => 0
proto_text_fetched_enum => 0
proto_text_fetched_set => 0
proto_text_fetched_geometry => 0
proto_text_fetched_other => 0
proto_binary_fetched_null => 0
proto_binary_fetched_bit => 0
proto_binary_fetched_tinyint => 0
proto_binary_fetched_short => 0
proto_binary_fetched_int24 => 0
proto_binary_fetched_int => 0
proto_binary_fetched_bigint => 0
proto_binary_fetched_decimal => 0
proto_binary_fetched_float => 0
proto_binary_fetched_double => 0
proto_binary_fetched_date => 0
proto_binary_fetched_year => 0
proto_binary_fetched_time => 0
proto_binary_fetched_datetime => 0
proto_binary_fetched_timestamp => 0
proto_binary_fetched_string => 0
proto_binary_fetched_blob => 0
proto_binary_fetched_enum => 0
proto_binary_fetched_set => 0
proto_binary_fetched_geometry => 0
proto_binary_fetched_other => 0
init_command_executed_count => 0
init_command_failed_count => 0

odbc

ODBC Support => enabled
Active Persistent Links => 0
Active Links => 0
ODBC library => Win32

Directive => Local Value => Master Value
odbc.allow_persistent => On => On
odbc.check_persistent => On => On
odbc.default_cursortype => Static cursor => Static cursor
odbc.default_db => no value => no value
odbc.default_pw => no value => no value
odbc.default_user => no value => no value
odbc.defaultbinmode => return as is => return as is
odbc.defaultlrl => return up to 4096 bytes => return up to 4096 bytes
odbc.max_links => Unlimited => Unlimited
odbc.max_persistent => Unlimited => Unlimited

openssl

OpenSSL support => enabled
OpenSSL Library Version => OpenSSL 0.9.8l 5 Nov 2009
OpenSSL Header Version => OpenSSL 0.9.8l 5 Nov 2009

pcre

PCRE (Perl Compatible Regular Expressions) Support => enabled
PCRE Library Version => 7.9 2009-04-11

Directive => Local Value => Master Value
pcre.backtrack_limit => 100000 => 100000
pcre.recursion_limit => 100000 => 100000

PDO

PDO support => enabled
PDO drivers => mysql, odbc, sqlite

pdo_mysql

PDO Driver for MySQL => enabled
Client API version => mysqlnd 5.0.5-dev - 081106 - $Revision: 289630 $
Persistent cache => enabled
put_hits => 0
put_misses => 0
get_hits => 0
get_misses => 0
size => 2000
free_items => 2000
references => 2

Directive => Local Value => Master Value
pdo_mysql.cache_size => 2000 => 2000

PDO_ODBC

PDO Driver for ODBC (Win32) => enabled
ODBC Connection Pooling => Enabled, strict matching

pdo_sqlite

PDO Driver for SQLite 3.x => enabled
SQLite Library => 3.6.19

pgsql

PostgreSQL Support => enabled
PostgreSQL(libpq) Version => 8.3.6
Multibyte character support => enabled
SSL support => disabled
Active Persistent Links => 0
Active Links => 0

Directive => Local Value => Master Value
pgsql.allow_persistent => On => On
pgsql.auto_reset_persistent => Off => Off
pgsql.ignore_notice => Off => Off
pgsql.log_notice => Off => Off
pgsql.max_links => Unlimited => Unlimited
pgsql.max_persistent => Unlimited => Unlimited

Phar

Phar: PHP Archive support => enabled
Phar EXT version => 2.0.1
Phar API version => 1.1.1
CVS revision => $Revision: 286338 $
Phar-based phar archives => enabled
Tar-based phar archives => enabled
ZIP-based phar archives => enabled
gzip compression => enabled
bzip2 compression => enabled
OpenSSL support => enabled


Phar based on pear/PHP_Archive, original concept by Davey Shafik.
Phar fully realized by Gregory Beaver and Marcus Boerger.
Portions of tar implementation Copyright (c) 2003-2009 Tim Kientzle.
Directive => Local Value => Master Value
phar.cache_list => no value => no value
phar.readonly => On => On
phar.require_hash => On => On

Reflection

Reflection => enabled
Version => $Revision: 287991 $

session

Session Support => enabled
Registered save handlers => files user
Registered serializer handlers => php php_binary wddx

Directive => Local Value => Master Value
session.auto_start => Off => Off
session.bug_compat_42 => Off => Off
session.bug_compat_warn => Off => Off
session.cache_expire => 180 => 180
session.cache_limiter => nocache => nocache
session.cookie_domain => no value => no value
session.cookie_httponly => Off => Off
session.cookie_lifetime => 0 => 0
session.cookie_path => / => /
session.cookie_secure => Off => Off
session.entropy_file => no value => no value
session.entropy_length => 0 => 0
session.gc_divisor => 1000 => 1000
session.gc_maxlifetime => 1440 => 1440
session.gc_probability => 1 => 1
session.hash_bits_per_character => 5 => 5
session.hash_function => 0 => 0
session.name => PHPSESSID => PHPSESSID
session.referer_check => no value => no value
session.save_handler => files => files
session.save_path => C:\Windows\Temp => C:\Windows\Temp
session.serialize_handler => php => php
session.use_cookies => On => On
session.use_only_cookies => On => On
session.use_trans_sid => 0 => 0

SimpleXML

Simplexml support => enabled
Revision => $Revision: 281953 $
Schema support => enabled

soap

Soap Client => enabled
Soap Server => enabled

Directive => Local Value => Master Value
soap.wsdl_cache => 1 => 1
soap.wsdl_cache_dir => /tmp => /tmp
soap.wsdl_cache_enabled => 1 => 1
soap.wsdl_cache_limit => 5 => 5
soap.wsdl_cache_ttl => 86400 => 86400

sockets

Sockets Support => enabled

SPL

SPL support => enabled
Interfaces => Countable, OuterIterator, RecursiveIterator, SeekableIterator, SplObserver, SplSubject
Classes => AppendIterator, ArrayIterator, ArrayObject, BadFunctionCallException, BadMethodCallException, CachingIterator, DirectoryIterator, DomainException, EmptyIterator, FilesystemIterator, FilterIterator, GlobIterator, InfiniteIterator, InvalidArgumentException, IteratorIterator, LengthException, LimitIterator, LogicException, MultipleIterator, NoRewindIterator, OutOfBoundsException, OutOfRangeException, OverflowException, ParentIterator, RangeException, RecursiveArrayIterator, RecursiveCachingIterator, RecursiveDirectoryIterator, RecursiveFilterIterator, RecursiveIteratorIterator, RecursiveRegexIterator, RecursiveTreeIterator, RegexIterator, RuntimeException, SplDoublyLinkedList, SplFileInfo, SplFileObject, SplFixedArray, SplHeap, SplMinHeap, SplMaxHeap, SplObjectStorage, SplPriorityQueue, SplQueue, SplStack, SplTempFileObject, UnderflowException, UnexpectedValueException

sqlite3

SQLite3 support => enabled
SQLite3 module version => 0.7-dev
SQLite Library => 3.6.19

Directive => Local Value => Master Value
sqlite3.extension_dir => no value => no value

standard

Dynamic Library Support => enabled
Internal Sendmail Support for Windows => enabled

Directive => Local Value => Master Value
assert.active => 1 => 1
assert.bail => 0 => 0
assert.callback => no value => no value
assert.quiet_eval => 0 => 0
assert.warning => 1 => 1
auto_detect_line_endings => 0 => 0
default_socket_timeout => 120 => 120
safe_mode_allowed_env_vars => PHP_ => PHP_
safe_mode_protected_env_vars => LD_LIBRARY_PATH => LD_LIBRARY_PATH
url_rewriter.tags => a=href,area=href,frame=src,input=src,form=fakeentry => a=href,area=href,frame=src,input=src,form=fakeentry
user_agent => no value => no value

tidy

Tidy support => enabled
libTidy Release => 25 March 2009
Extension Version => 2.0 ($Id: tidy.c 272922 2009-01-06 23:45:16Z iliaa $)

Directive => Local Value => Master Value
tidy.clean_output => no value => no value
tidy.default_config => no value => no value

tokenizer

Tokenizer Support => enabled

wddx

WDDX Support => enabled
WDDX Session Serializer => enabled

xml

XML Support => active
XML Namespace Support => active
libxml2 Version => 2.7.3

xmlreader

XMLReader => enabled

xmlrpc

core library version => xmlrpc-epi v. 0.51
php extension version => 0.51
author => Dan Libby
homepage => http://xmlrpc-epi.sourceforge.net
open sourced by => Epinions.com

xmlwriter

XMLWriter => enabled

zip

Zip => enabled
Extension Version => $Id: php_zip.c 276389 2009-02-24 23:55:14Z iliaa $
Zip version => 1.9.1
Libzip version => 0.9.0

zlib

ZLib Support => enabled
Stream Wrapper support => compress.zlib://
Stream Filter support => zlib.inflate, zlib.deflate
Compiled Version => 1.2.3
Linked Version => 1.2.3

Directive => Local Value => Master Value
zlib.output_compression => Off => Off
zlib.output_compression_level => -1 => -1
zlib.output_handler => no value => no value

Additional Modules

Module Name

Environment

Variable => Value
ALLUSERSPROFILE => C:\ProgramData
APPDATA => C:\Users\marc\AppData\Roaming
CLASSPATH => .;C:\Program Files (x86)\QuickTime\QTSystem\QTJava.zip
CommonProgramFiles => C:\Program Files (x86)\Common Files
CommonProgramFiles(x86) => C:\Program Files (x86)\Common Files
CommonProgramW6432 => C:\Program Files\Common Files
COMPUTERNAME => NAN
COMSPEC => C:\Windows\system32\cmd.exe
DISPLAY =>
EMACS => t
EMACSDATA => C:/Program Files (x86)/emacs-23.1/etc
EMACSDOC => C:/Program Files (x86)/emacs-23.1/etc
EMACSLOADPATH => C:/Program Files (x86)/emacs-23.1/site-lisp;C:/Program Files (x86)/emacs-23.1/../site-lisp;C:/Program Files (x86)/emacs-23.1/lisp;C:/Program Files (x86)/emacs-23.1/leim
EMACSPATH => C:/Program Files (x86)/emacs-23.1/bin
emacs_dir => C:/Program Files (x86)/emacs-23.1
EM_PARENT_PROCESS_ID => 4808
FP_NO_HOST_CHECK => NO
HOME => C:\Users\marc
HOMEDRIVE => C:
HOMEPATH => \Users\marc
INSIDE_EMACS => 23.1.1,comint
LANG => FRA
LOCALAPPDATA => C:\Users\marc\AppData\Local
LOGONSERVER => \\NAN
NUMBER_OF_PROCESSORS => 2
OS => Windows_NT
PATH => C:\Program Files (x86)\PHP\;C:\PROGRA~2\CygWin\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\ATI Technologies\ATI.ACE\Core-Static;C:\Program Files (x86)\QuickTime\QTSystem\
PATHEXT => .COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC
PHPRC => C:\Program Files (x86)\PHP\
PROCESSOR_ARCHITECTURE => x86
PROCESSOR_ARCHITEW6432 => AMD64
PROCESSOR_IDENTIFIER => Intel64 Family 6 Model 23 Stepping 6, GenuineIntel
PROCESSOR_LEVEL => 6
PROCESSOR_REVISION => 1706
ProgramData => C:\ProgramData
ProgramFiles => C:\Program Files (x86)
ProgramFiles(x86) => C:\Program Files (x86)
ProgramW6432 => C:\Program Files
PROMPT => $P$G
PSModulePath => C:\Windows\system32\WindowsPowerShell\v1.0\Modules\
PUBLIC => C:\Users\Public
QTJAVA => C:\Program Files (x86)\QuickTime\QTSystem\QTJava.zip
SESSIONNAME => Console
SHELL => C:/Program Files (x86)/emacs-23.1/bin/cmdproxy.exe
SystemDrive => C:
SystemRoot => C:\Windows
TEMP => C:\Users\marc\AppData\Local\Temp
TERM => emacs
TERMCAP => emacs:co#184:tc=unknown:
TMP => C:\Users\marc\AppData\Local\Temp
TMPDIR => C:\Users\marc\AppData\Local\Temp
USERDOMAIN => nan
USERNAME => marc
USERPROFILE => C:\Users\marc
VS90COMNTOOLS => c:\Program Files (x86)\Microsoft Visual Studio 9.0\Common7\Tools\
windir => C:\Windows

PHP Variables

Variable => Value
_SERVER["ALLUSERSPROFILE"] => C:\ProgramData
_SERVER["APPDATA"] => C:\Users\marc\AppData\Roaming
_SERVER["CLASSPATH"] => .;C:\Program Files (x86)\QuickTime\QTSystem\QTJava.zip
_SERVER["CommonProgramFiles"] => C:\Program Files (x86)\Common Files
_SERVER["CommonProgramFiles(x86)"] => C:\Program Files (x86)\Common Files
_SERVER["CommonProgramW6432"] => C:\Program Files\Common Files
_SERVER["COMPUTERNAME"] => NAN
_SERVER["COMSPEC"] => C:\Windows\system32\cmd.exe
_SERVER["DISPLAY"] =>
_SERVER["EMACS"] => t
_SERVER["EMACSDATA"] => C:/Program Files (x86)/emacs-23.1/etc
_SERVER["EMACSDOC"] => C:/Program Files (x86)/emacs-23.1/etc
_SERVER["EMACSLOADPATH"] => C:/Program Files (x86)/emacs-23.1/site-lisp;C:/Program Files (x86)/emacs-23.1/../site-lisp;C:/Program Files (x86)/emacs-23.1/lisp;C:/Program Files (x86)/emacs-23.1/leim
_SERVER["EMACSPATH"] => C:/Program Files (x86)/emacs-23.1/bin
_SERVER["emacs_dir"] => C:/Program Files (x86)/emacs-23.1
_SERVER["EM_PARENT_PROCESS_ID"] => 4808
_SERVER["FP_NO_HOST_CHECK"] => NO
_SERVER["HOME"] => C:\Users\marc
_SERVER["HOMEDRIVE"] => C:
_SERVER["HOMEPATH"] => \Users\marc
_SERVER["INSIDE_EMACS"] => 23.1.1,comint
_SERVER["LANG"] => FRA
_SERVER["LOCALAPPDATA"] => C:\Users\marc\AppData\Local
_SERVER["LOGONSERVER"] => \\NAN
_SERVER["NUMBER_OF_PROCESSORS"] => 2
_SERVER["OS"] => Windows_NT
_SERVER["PATH"] => C:\Program Files (x86)\PHP\;C:\PROGRA~2\CygWin\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\ATI Technologies\ATI.ACE\Core-Static;C:\Program Files (x86)\QuickTime\QTSystem\
_SERVER["PATHEXT"] => .COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC
_SERVER["PHPRC"] => C:\Program Files (x86)\PHP\
_SERVER["PROCESSOR_ARCHITECTURE"] => x86
_SERVER["PROCESSOR_ARCHITEW6432"] => AMD64
_SERVER["PROCESSOR_IDENTIFIER"] => Intel64 Family 6 Model 23 Stepping 6, GenuineIntel
_SERVER["PROCESSOR_LEVEL"] => 6
_SERVER["PROCESSOR_REVISION"] => 1706
_SERVER["ProgramData"] => C:\ProgramData
_SERVER["ProgramFiles"] => C:\Program Files (x86)
_SERVER["ProgramFiles(x86)"] => C:\Program Files (x86)
_SERVER["ProgramW6432"] => C:\Program Files
_SERVER["PROMPT"] => $P$G
_SERVER["PSModulePath"] => C:\Windows\system32\WindowsPowerShell\v1.0\Modules\
_SERVER["PUBLIC"] => C:\Users\Public
_SERVER["QTJAVA"] => C:\Program Files (x86)\QuickTime\QTSystem\QTJava.zip
_SERVER["SESSIONNAME"] => Console
_SERVER["SHELL"] => C:/Program Files (x86)/emacs-23.1/bin/cmdproxy.exe
_SERVER["SystemDrive"] => C:
_SERVER["SystemRoot"] => C:\Windows
_SERVER["TEMP"] => C:\Users\marc\AppData\Local\Temp
_SERVER["TERM"] => emacs
_SERVER["TERMCAP"] => emacs:co#184:tc=unknown:
_SERVER["TMP"] => C:\Users\marc\AppData\Local\Temp
_SERVER["TMPDIR"] => C:\Users\marc\AppData\Local\Temp
_SERVER["USERDOMAIN"] => nan
_SERVER["USERNAME"] => marc
_SERVER["USERPROFILE"] => C:\Users\marc
_SERVER["VS90COMNTOOLS"] => c:\Program Files (x86)\Microsoft Visual Studio 9.0\Common7\Tools\
_SERVER["windir"] => C:\Windows
_SERVER["PHP_SELF"] => test.php
_SERVER["SCRIPT_NAME"] => test.php
_SERVER["SCRIPT_FILENAME"] => test.php
_SERVER["PATH_TRANSLATED"] => test.php
_SERVER["DOCUMENT_ROOT"] =>
_SERVER["REQUEST_TIME"] => 1262532471
_SERVER["argv"] => Array
(
    [0] => test.php
)

_SERVER["argc"] => 1
TagsNo tags attached.
Operating SystemWindows 7 Ultimate 64 bits
PHP Version5.3-dev

Activities

derick

2010-01-03 18:43

administrator   ~0001245

You need to use the x86_64 DLL of course:
php_xdebug-2.1.0beta1-5.3-vc9-x86_64.dll

marc-bassini

2010-01-03 19:49

reporter   ~0001246

Oups... thought it was for a 64 bits compiled php.

Anyway, I tried the x64 dll :
[XDebug]
zend_extension="d:/php_xdebug-2.1.0beta1-5.3-vc9-x86_64.dll"

but it seems it still doesn't load :

marc@nan ~
$ php -v
PHP 5.3.1 (cli) (built: Nov 19 2009 09:59:45)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2009 Zend Technologies

marc@nan ~
$ php -m
[PHP Modules]
bcmath
bz2
calendar
com_dotnet
Core
ctype
curl
date
dom
ereg
exif
filter
ftp
gd
gettext
gmp
hash
iconv
imap
json
libxml
mbstring
mcrypt
mhash
mysql
mysqli
mysqlnd
odbc
openssl
pcre
PDO
pdo_mysql
PDO_ODBC
pdo_sqlite
pgsql
Phar
Reflection
session
SimpleXML
soap
sockets
SPL
sqlite3
standard
tidy
tokenizer
wddx
xml
xmlreader
xmlrpc
xmlwriter
zip
zlib

[Zend Modules]


marc@nan ~
$

derick

2010-03-20 23:57

administrator   ~0001399

It works just fine here with those versions (well, 2.1.0beta3 on my side) so it definitely works. Please contact the mailinglist if you need more support.

Issue History

Date Modified Username Field Change
2010-01-03 15:31 marc-bassini New Issue
2010-01-03 15:31 marc-bassini Operating System => Windows 7 Ultimate 64 bits
2010-01-03 15:31 marc-bassini PHP Version => 5.3-dev
2010-01-03 15:31 marc-bassini Xdebug Version => 2.1.0-dev
2010-01-03 18:43 derick Note Added: 0001245
2010-01-03 18:43 derick Status new => resolved
2010-01-03 18:43 derick Resolution open => fixed
2010-01-03 18:43 derick Assigned To => derick
2010-01-03 18:44 derick Resolution fixed => no change required
2010-01-03 19:49 marc-bassini Note Added: 0001246
2010-01-03 19:49 marc-bassini Status resolved => feedback
2010-01-03 19:49 marc-bassini Resolution no change required => reopened
2010-03-20 23:50 derick Target Version => 2.1.0RC1
2010-03-20 23:57 derick Note Added: 0001399
2010-03-20 23:57 derick Status feedback => resolved
2010-03-20 23:57 derick Resolution reopened => unable to reproduce
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)